package com.ruoyi.mall.domain.Bo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Arrays;

/** 接收 后台统计图 请求参数实体*/
public class staticDataBo  implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 综合成绩区间最小值
     */
    private BigDecimal minScore;

    /**
     * 综合成绩区间最大值
     */
    private BigDecimal maxScore;

    /**
     * 批次id
     */
    private Long batchId;

    /**
     * 学校id
     */
    private Long schoolId;

    /**
     * 时间段
     */
    private String[] dateRange;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;


    public BigDecimal getMinScore() {
        return minScore;
    }

    public void setMinScore(BigDecimal minScore) {
        this.minScore = minScore;
    }

    public BigDecimal getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(BigDecimal maxScore) {
        this.maxScore = maxScore;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String[] getDateRange() {
        return dateRange;
    }

    public void setDateRange(String[] dateRange) {
        this.dateRange = dateRange;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "staticDataBo{" +
                "minScore=" + minScore +
                ", maxScore=" + maxScore +
                ", batchId=" + batchId +
                ", schoolId=" + schoolId +
                ", dateRange=" + Arrays.toString(dateRange) +
                ", startTime='" + startTime + '\'' +
                ", endTime='" + endTime + '\'' +
                '}';
    }
}
